data:extend(
{
	-- pure atomic constructs
	{
		type = "recipe",
		name = "y-ac-iron2uc-recipe",
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"iron-ore", 25},}, 
		result = "y-unicomp-a2",
		result_count = 1,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		
	{
		type = "recipe",
		name = "y-ac-copper2uc-recipe",		
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"copper-ore", 25},}, 
		result = "y-unicomp-a2",
		result_count = 1,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		
	{
		type = "recipe",
		name = "y-ac-uc42uc-recipe",		
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"y-unicomp-raw", 2},}, 
		result = "y-unicomp-a2",
		result_count = 1,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		
	{
		type = "recipe",
		name = "y-ac-wood2uc-recipe",		
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"raw-wood", 25},}, 
		result = "y-unicomp-a2",
		result_count = 1,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		
	
	-- reverse atomic transfers and ++

	{
		type = "recipe",
		name = "y-ac-uc2wood-recipe",		
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"y-unicomp-a2", 1},}, 
		result = "raw-wood",
		result_count = 25,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		
	{
		type = "recipe",
		name = "y-ac-uc2copper-recipe",		
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"y-unicomp-a2", 1},}, 
		result = "copper-ore",
		result_count = 25,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		
	{
		type = "recipe",
		name = "y-ac-uc2iron-recipe",		
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"y-unicomp-a2", 1},}, 
		result = "iron-ore",
		result_count = 25,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		

	-- the ++
	{
		type = "recipe",
		name = "y-ac-uc2durotal-recipe",		
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"y-unicomp-a2", 1},}, 
		result = "y-rare-ore-t1",
		result_count = 10,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		
	{
		type = "recipe",
		name = "y-ac-uc2krakon-recipe",		
		energy_required = 2.0,
		enabled = "true",
		ingredients = {{"y-unicomp-a2", 1},}, 
		result = "y-rare-ore-t2",
		result_count = 10,
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},		
	
	-- fluid transition
	{
		type = "recipe",		
		name = "y-uc2liquid-recipe",		
		energy_required = 5,
		ingredients = {
			{"y-unicomp-a2", 10},						
		},
		results=
		{
			{type="fluid", name="y-liquid-uc2", amount=1, }
		},
		enabled = "true",		
		icon = "__Yuoki__/graphics/icons/liquid_a2.png",
		order = "m-refined-rare3",
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},
	-- and fluid reverse
	{
		type = "recipe",		
		name = "y-liquid2uc-recipe",		
		energy_required = 5,
		ingredients = {
			{type="fluid", name="y-liquid-uc2", amount=1, }
			
		},
		results=
		{
			{"y-unicomp-a2", 10},						
		},
		enabled = "true",		
		icon = "__Yuoki__/graphics/icons/uni-komp-a2.png",
		order = "m-refined-rare3",
		subgroup = "y-atomics",
		category = "yuoki-atomics-recipe",
	},

	{ type = "item", name = "y-unicomp-a2", icon = "__Yuoki__/graphics/icons/uni-komp-a2.png", flags = {"goes-to-main-inventory"}, subgroup = "y-raw-material", stack_size = 2500,},

})